Semantic

Semantic-UI-Ember

Build Status npm version Code Climate Codecov Dependency Status

This is the official Ember library for the Semantic-UI modules.

Support

The NodeJS and EmberJS versions respective tags are tested on. It might work with versions not listed as well

3.0

2.1

2.0

Installation

v3

Install this through Ember CLI. We support Ember 2.12 LTS through 3.x

ember install semantic-ui-ember

v2.1

Install this add-on through Ember CLI. We support Ember versions 2.x and above

NOTE: This is a bower-less install

ember install [email protected]

That's it.

v2.0 and below only

Install this add-on through Ember CLI. We support Ember versions 1.13 latest - 2.X.

NOTE: Ember 2.x only without fastboot is supported

ember install [email protected]

Run the library's blueprint to pull in its Bower dependencies. This only needs to be done once.

ember generate semantic-ui-ember

Documentation

Detailed documentation on using Semantic-UI-Ember.

Changelog